import { RenderDayCellProps, RenderDayCellsProps, ToolBarProps, RenderAvailProps, ToolBarButtonProps, RenderAvailSlot } from '../types';
declare type StyleOrFunc<StyleProps> = CSSProperties | ((p?: StyleProps) => CSSProperties);
export interface OverridableComponentProps<ComponentProps, InternalProps, StyleProps> {
    style?: StyleOrFunc<StyleProps>;
    className?: string;
    Root?: React.ElementType<ComponentProps>;
    internalProps?: InternalProps;
}
export interface ResolvedOverride<ComponentProps, InternalProps> {
    style?: CSSProperties;
    className?: string;
    Root?: React.ElementType<ComponentProps>;
    internalProps?: InternalProps;
}
import { CSSProperties } from 'react';
export declare const defaultComponents: {
    ToolBar: OverridableComponentProps<ToolBarProps, {}, {}>;
    ToolBarButton: OverridableComponentProps<ToolBarButtonProps, {}, {}>;
    Weekdays: OverridableComponentProps<{}, {}, {}>;
    DayCells: OverridableComponentProps<RenderDayCellsProps, {}, {}>;
    DayCell: OverridableComponentProps<RenderDayCellProps, {}, {}>;
    Availabilities: OverridableComponentProps<RenderAvailProps, {}, {}>;
    AvailSlot: OverridableComponentProps<RenderAvailSlot, {}, {}>;
};
export declare type Overrides = typeof defaultComponents;
export declare function getOverride<O extends OverridableComponentProps<T, U, K>, T, U, K>(o: O | undefined, defaultSpec: O, styleProps?: K, _t?: T, _u?: U, _k?: K): ResolvedOverride<T, U>;
export declare function getToolBarOverride(overrides: Overrides | undefined, defaultSpec: OverridableComponentProps<ToolBarProps, {}, {}>): ResolvedOverride<ToolBarProps, {}>;
export declare function getToolBarButtonOverride(overrides: Overrides | undefined, defaultSpec: OverridableComponentProps<ToolBarButtonProps, {}, {}>): ResolvedOverride<ToolBarButtonProps, {}>;
export declare function getWeekdaysOVerride(overrides: Overrides | undefined, defaultSpec: OverridableComponentProps<{}, {}, {}>): ResolvedOverride<{}, {}>;
export declare function getDayCellsOVerride(overrides: Overrides | undefined, defaultSpec: OverridableComponentProps<RenderDayCellsProps, {}, {}>): ResolvedOverride<RenderDayCellsProps, {}>;
export declare function getDayCellOVerride(overrides: Overrides | undefined, defaultSpec: OverridableComponentProps<RenderDayCellProps, {}, {}>): ResolvedOverride<RenderDayCellProps, {}>;
export declare function getAvailsOverride(overrides: Overrides | undefined, defaultSpec: OverridableComponentProps<RenderAvailProps, {}, {}>): ResolvedOverride<RenderAvailProps, {}>;
export declare function getAvailOverride(overrides: Overrides | undefined, defaultSpec: OverridableComponentProps<RenderAvailSlot, {}, {}>): ResolvedOverride<RenderAvailSlot, {}>;
export {};
